﻿Imports System.Windows.Forms.DataVisualization.Charting
Public Class Form1

    'define os valores do eixo y - milhoes de pessoas
    Dim yPopulacao() As Double = {191480, 46000, 39934,
                                        28221, 28121, 16803,
                                        13481, 9694, 6238, 3350}
    'define os valoes do eixo x - nome dos paises
    Dim xPaises() As String = {"Brasil", "Colombia", "Argentina",
                                     "Peru", "Venezuela", "Chile",
                                     "Equador", "Bolivia", "Paraguai", "Uruguai"}


    Private Sub btnGraficoTorta_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGraficoTorta.Click

        With Chart1
            'define o tipo de gráfico
            .Series(0).ChartType = DataVisualization.Charting.SeriesChartType.Pie
            'define o titulo do gráfico
            .Titles.Add("Os 10 países mais populosos da América do Sul")
            'habilita a visão em 3D
            .ChartAreas(0).Area3DStyle.Enable3D = True
            'define inclinação, rotação e perspectiva
            .ChartAreas(0).Area3DStyle.Inclination = 20
            .ChartAreas(0).Area3DStyle.Rotation = 50
            .ChartAreas(0).Area3DStyle.Perspective = 10
            'define o estilo da linha
            .ChartAreas(0).Area3DStyle.LightStyle = LightStyle.Realistic
            'define a paleta
            .Palette = ChartColorPalette.BrightPastel
            'vincula os dados ao gráfico
            .Series(0).Points.DataBindXY(xPaises, yPopulacao)
            'exibe os valores no eixo do gráfico
            .Series(0).IsValueShownAsLabel = True
        End With

    End Sub
    Private Sub btnGráficoLinha_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGráficoLinha.Click

        With Chart1
            'define o tipo de gráfico
            .Series(0).ChartType = DataVisualization.Charting.SeriesChartType.Line
            'define o texto da legenda 
            .Series(0).LegendText = "Países"

            .ChartAreas(0).Area3DStyle.LightStyle = LightStyle.Simplistic
            'define o titulo do eixo y , sua fonte e a cor
            .ChartAreas(0).AxisY.Title = "População (Milhões)"
            .ChartAreas(0).AxisY.TitleFont = New Font("Times New Roman", 12, FontStyle.Bold)
            .ChartAreas(0).AxisY.TitleForeColor = Color.Blue
            'define o titulo do eixo x , sua fonte e a cor
            .ChartAreas(0).AxisX.Title = "Países"
            .ChartAreas(0).AxisX.TitleFont = New Font("Times New Roman", 12, FontStyle.Bold)
            .ChartAreas(0).AxisX.TitleForeColor = Color.Blue

            'define a paleta de cores usada
            .Palette = ChartColorPalette.Chocolate

            'vincula os dados ao gráfico
            .Series(0).Points.DataBindXY(xPaises, yPopulacao)
            'exibe os valores nos eixos
            .Series(0).IsValueShownAsLabel = True
            'desabilita a exibição 3D
            .ChartAreas(0).Area3DStyle.Enable3D = False

        End With
    End Sub

    Private Sub btnGraficoColunas_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGraficoColunas.Click
        With Chart1
            'define o tipo de gráfico
            .Series(0).ChartType = DataVisualization.Charting.SeriesChartType.Column
            'define o texto da legenda 
            .Series(0).LegendText = "Países"

            'define o titulo do eixo y , sua fonte e a cor
            .ChartAreas(0).AxisY.Title = "População (Milhões)"
            .ChartAreas(0).AxisY.TitleFont = New Font("Times New Roman", 12, FontStyle.Bold)
            .ChartAreas(0).AxisY.TitleForeColor = Color.Blue
            'define o titulo do eixo x , sua fonte e a cor
            .ChartAreas(0).AxisX.Title = "Países"
            .ChartAreas(0).AxisX.TitleFont = New Font("Times New Roman", 12, FontStyle.Bold)
            .ChartAreas(0).AxisX.TitleForeColor = Color.Blue

            'define a paleta de cores usada
            .Palette = ChartColorPalette.Fire

            'vincula os dados ao gráfico
            .Series(0).Points.DataBindXY(xPaises, yPopulacao)
            'exibe os valores nos eixos
            .Series(0).IsValueShownAsLabel = True
            'desabilita a exibição 3D
            .ChartAreas(0).Area3DStyle.Enable3D = True

        End With
    End Sub
End Class
